import { objectWithoutPropertiesLoose as _objectWithoutPropertiesLoose, extends as _extends } from '../_virtual/next-intl.esm.js';
import NextLink from 'next/link';
import { usePathname } from 'next/navigation';
import React, { forwardRef, useState, useEffect } from 'react';
import localizeHref from '../client/next-intl.esm.js';

var _excluded = ["href", "locale"];
/**
 * Wraps `next/link` and prefixes the `href` with the current locale.
 */

function Link(_ref, ref) {
  var href = _ref.href,
      locale = _ref.locale,
      rest = _objectWithoutPropertiesLoose(_ref, _excluded);

  var _useState = useState(href),
      localizedHref = _useState[0],
      setLocalizedHref = _useState[1];

  var pathname = usePathname();
  useEffect(function () {
    setLocalizedHref(localizeHref(href, locale));
  }, [href, locale, pathname]);
  return React.createElement(NextLink, _extends({
    ref: ref,
    href: localizedHref
  }, rest));
}

var Link$1 = /*#__PURE__*/forwardRef(Link);

export { Link$1 as default };
//# sourceMappingURL=next-intl.esm.js.map
